ru.bitel.bgbilling.modules.inet.api.common.bean

## Class InetReportUtils

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.api.common.bean.InetReportUtils

-     public class InetReportUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetReportUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.lang.String` | `getUnitTitle(long unit)`
    `static ru.bitel.common.reports.TimeSeriesCollection<java.time.temporal.Temporal,java.lang.Double>` | `maxChart(java.util.Date dateFrom, java.util.Date dateTo, java.util.List<TrafficMaxDetailReport> trafficMaxList, long unit, java.util.Map<java.lang.Integer,TrafficType> trafficTypeMap)`
    `static ru.bitel.common.reports.TimeSeriesCollection<java.time.LocalDate,java.lang.Double>` | `rangeChart(java.util.Date dateFrom, java.util.List<TrafficRangeDetailReport> trafficRangeList, long unit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InetReportUtils

          public InetReportUtils()

  - ### Method Detail

    - #### getUnitTitle

          protected static java.lang.String getUnitTitle(long unit)

    - #### rangeChart

          public static ru.bitel.common.reports.TimeSeriesCollection<java.time.LocalDate,java.lang.Double> rangeChart(java.util.Date dateFrom,
                                                                                                                      java.util.List<TrafficRangeDetailReport> trafficRangeList,
                                                                                                                      long unit)
                                                                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### maxChart

          public static ru.bitel.common.reports.TimeSeriesCollection<java.time.temporal.Temporal,java.lang.Double> maxChart(java.util.Date dateFrom,
                                                                                                                            java.util.Date dateTo,
                                                                                                                            java.util.List<TrafficMaxDetailReport> trafficMaxList,
                                                                                                                            long unit,
                                                                                                                            java.util.Map<java.lang.Integer,TrafficType> trafficTypeMap)
                                                                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`